# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_PresentationStyleByContext Class Reference

`#include <StepVisual_PresentationStyleByContext.hxx>`

Inheritance diagram for StepVisual_PresentationStyleByContext:

[legend]

## Public Member Functions

Standard_EXPORT | StepVisual_PresentationStyleByContext ()
| Returns a PresentationStyleByContext .
virtual Standard_EXPORT void | Init (const Handle(StepVisual_HArray1OfPresentationStyleSelect)&aStyles)
virtual Standard_EXPORT void | Init (const Handle(StepVisual_HArray1OfPresentationStyleSelect)&aStyles, const StepVisual_StyleContextSelect &aStyleContext)
Standard_EXPORT void | SetStyleContext (const StepVisual_StyleContextSelect &aStyleContext)
Standard_EXPORT StepVisual_StyleContextSelect | StyleContext () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepVisual_StyleContextSelect | styleContext

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_PresentationStyleByContext::StepVisual_PresentationStyleByContext | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepVisual_PresentationStyleByContext::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepVisual_PresentationStyleAssignment.

virtual Standard_EXPORT void StepVisual_PresentationStyleByContext::Init | ( | const Handle(StepVisual_HArray1OfPresentationStyleSelect)& | aStyles,
|  | const StepVisual_StyleContextSelect & | aStyleContext
| ) | `[virtual]`

virtual Standard_EXPORT void StepVisual_PresentationStyleByContext::Init | ( | const Handle(StepVisual_HArray1OfPresentationStyleSelect)& | aStyles | ) | `[virtual]`

| Reimplemented from StepVisual_PresentationStyleAssignment.

Standard_EXPORT void StepVisual_PresentationStyleByContext::SetStyleContext | ( | const StepVisual_StyleContextSelect & | aStyleContext | ) |

Standard_EXPORT StepVisual_StyleContextSelect StepVisual_PresentationStyleByContext::StyleContext | ( |  | ) | const

## Field Documentation

StepVisual_StyleContextSelect StepVisual_PresentationStyleByContext::styleContext `[private]`

The documentation for this class was generated from the following file:

- StepVisual_PresentationStyleByContext.hxx